php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #59616 Compile error with drizzle (2011-02-09 version)
Submitted: 2011-02-09 22:42 UTC Modified: 2015-06-05 13:22 UTC
From: boxoxod at gmail dot com Assigned:
Status: Suspended Package: drizzle (PECL)
PHP Version: 5.3.5 OS: Ubuntu lucid LTS server
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2011-02-09 22:42 UTC] boxoxod at gmail dot com
Description:
------------
Previosly I got the old version of this pecl in lauchpad(the 
0.3 version) and I found it flush my screen with the same 
error when compiling with drizzle (2011-02-09).
It said 
php_drizzle.c: In function 
鈥榸m_startup_drizzle鈥?
/home/allan/src/drizzle-0.4.2/php_drizzle.c:4495: error: 
鈥
楧RIZZLE_CAPABILITIES_REMEMBER_OPTIONS鈥?
undeclared (first 
use in this function)

and another DRIZZLE_CAPABILITIES_SSL_VERIFY_SERVER_CERT 
undeclared bla bla bla....

Then I went into the php_drizzle.c in the pecl and comment 
out
lien 4495-4497 
REGISTER_LONG_CONSTANT("DRIZZLE_CAPABILITIES_REMEMBER_OPTION
S",DRIZZLE_CAPABILITIES_REMEMBER_OPTIONS,CONST_CS|CONST_PERS
ISTENT);
and line 4507-4509
REGISTER_LONG_CONSTANT("DRIZZLE_CAPABILITIES_SSL_VERIFY_SERV
ER_CERT",DRIZZLE_CAPABILITIES_SSL_VERIFY_SERVER_CERT,CONST_C
S|CONST_ERSISTENT);

then run make again ,it will turn out right.
I found both drizzle and drizzle php pecl still have many 
bugs,it's quite frustrating to compile them.
I hope may report could you those frustrated with drizzle-
compilings. 



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2015-06-05 13:22 UTC] cmb@php.net
-Status: Open +Status: Suspended
 [2015-06-05 13:22 UTC] cmb@php.net
The drizzle package is not maintained. Therefore I'm changing the
status of this ticket to "suspended".
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sat Nov 16 22:01:35 2019 UTC